PrefabFiles = {
	"necros",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/necros.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/necros.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/necros.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/necros.xml" ),

    Asset( "IMAGE", "bigportraits/necros.tex" ),
    Asset( "ATLAS", "bigportraits/necros.xml" ),
	
	Asset( "IMAGE", "images/map_icons/necros.tex" ),
	Asset( "ATLAS", "images/map_icons/necros.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_necros.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_necros.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_ghost_necros.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_ghost_necros.xml" ),

}

local require = GLOBAL.require
local STRINGS = GLOBAL.STRINGS

-- The character select screen lines
STRINGS.CHARACTER_TITLES.necros = "The Greenest Nightmare"
STRINGS.CHARACTER_NAMES.necros = "Lord Necros"
STRINGS.CHARACTER_DESCRIPTIONS.necros = "*very green.\n*reptile strength.\n*chalk full of doom."
STRINGS.CHARACTER_QUOTES.necros = "\"DOOOOM! that is all.\""

-- Custom speech strings
STRINGS.CHARACTERS.NECROS = require "speech_necros"

-- The character's name as appears in-game 
STRINGS.NAMES.NECROS = "necros"

-- The default responses of examining the character
STRINGS.CHARACTERS.GENERIC.DESCRIBE.NECROS = 
{
	GENERIC = "Lord Necros.",
	ATTACKER = "He's lean, grean, and mean!",
	MURDERER = "He has acquired the taste for man-flesh!",
	REVIVER = "You serve Lord Necros now.",
	GHOST = "I never die.",
}

-- Let the game know character is male, female, or robot
table.insert(GLOBAL.CHARACTER_GENDERS.FEMALE, "male")


AddMinimapAtlas("images/map_icons/necros.xml")
AddModCharacter("necros")

